Evaluation Class Reference

class for RGB-D SLAM Dataset and Benchmark More...

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/kinfu/tools/evaluation.h>`

## Public Types

typedef boost::shared_ptr< Evaluation > | Ptr
typedef pcl::gpu::KinfuTracker::PixelRGB | RGB
typedef boost::shared_ptr< Evaluation > | Ptr
typedef pcl::gpu::kinfuLS::PixelRGB | RGB

## Public Member Functions

| Evaluation (const std::string &folder)
void | setMatchFile (const std::string &file)
| Sets file with matches between depth and rgb. More...
bool | grab (double stamp, pcl::gpu::PtrStepSz< const RGB > &rgb24)
| Reads rgb frame from the folder. More...
bool | grab (double stamp, pcl::gpu::PtrStepSz< const unsigned short > &depth)
| Reads depth frame from the folder. More...
bool | grab (double stamp, pcl::gpu::PtrStepSz< const unsigned short > &depth, pcl::gpu::PtrStepSz< const RGB > &rgb24)
| Reads depth & rgb frame from the folder. More...
void | saveAllPoses (const pcl::gpu::KinfuTracker &kinfu, int frame_number=-1, const std::string &logfile="kinfu_poses.txt") const
| Evaluation (const std::string &folder)
void | setMatchFile (const std::string &file)
| Sets file with matches between depth and rgb. More...
bool | grab (double stamp, pcl::gpu::PtrStepSz< const RGB > &rgb24)
| Reads rgb frame from the folder. More...
bool | grab (double stamp, pcl::gpu::PtrStepSz< const unsigned short > &depth)
| Reads depth frame from the folder. More...
bool | grab (double stamp, pcl::gpu::PtrStepSz< const unsigned short > &depth, pcl::gpu::PtrStepSz< const RGB > &rgb24)
| Reads depth & rgb frame from the folder. More...
void | saveAllPoses (const pcl::gpu::kinfuLS::KinfuTracker &kinfu, int frame_number=-1, const std::string &logfile="kinfu_poses.txt") const

## Static Public Attributes

static const float | fx
static const float | fy
static const float | cx
static const float | cy

## Detailed Description

class for RGB-D SLAM Dataset and Benchmark

Author
  Anatoly Baskeheev, Itseez Ltd, (mynam.nosp@m.e.my.nosp@m.surna.nosp@m.me@m.nosp@m.ycomp.nosp@m.any..nosp@m.com)

Definition at line 48 of file evaluation.h.

## Member Typedef Documentation

## Ptr [1/2]

typedef boost::shared_ptr<Evaluation> Evaluation::Ptr

Definition at line 51 of file evaluation.h.

## Ptr [2/2]

typedef boost::shared_ptr<Evaluation> Evaluation::Ptr

Definition at line 51 of file evaluation.h.

## RGB [1/2]

typedef pcl::gpu::kinfuLS::PixelRGB Evaluation::RGB

Definition at line 52 of file evaluation.h.

## RGB [2/2]

typedef pcl::gpu::KinfuTracker::PixelRGB Evaluation::RGB

Definition at line 52 of file evaluation.h.

## Constructor & Destructor Documentation

## Evaluation() [1/2]

Evaluation::Evaluation | ( | const std::string & | folder | ) |

## Evaluation() [2/2]

Evaluation::Evaluation | ( | const std::string & | folder | ) |

## Member Function Documentation

## grab() [1/6]

bool Evaluation::grab | ( | double | stamp,
|  | pcl::gpu::PtrStepSz< const RGB > & | rgb24
| ) |  |

Reads rgb frame from the folder.

Parameters

  stamp | index of frame to read (stamps are not implemented)
  rgb24 |

## grab() [2/6]

bool Evaluation::grab | ( | double | stamp,
|  | pcl::gpu::PtrStepSz< const RGB > & | rgb24
| ) |  |

Reads rgb frame from the folder.

Parameters

  stamp | index of frame to read (stamps are not implemented)
  rgb24 |

## grab() [3/6]

bool Evaluation::grab | ( | double | stamp,
|  | pcl::gpu::PtrStepSz< const unsigned short > & | depth
| ) |  |

Reads depth frame from the folder.

Parameters

  stamp | index of frame to read (stamps are not implemented)
  depth |

## grab() [4/6]

bool Evaluation::grab | ( | double | stamp,
|  | pcl::gpu::PtrStepSz< const unsigned short > & | depth
| ) |  |

Reads depth frame from the folder.

Parameters

  stamp | index of frame to read (stamps are not implemented)
  depth |

## grab() [5/6]

bool Evaluation::grab | ( | double | stamp,
|  | pcl::gpu::PtrStepSz< const unsigned short > & | depth,
|  | pcl::gpu::PtrStepSz< const RGB > & | rgb24
| ) |  |

Reads depth & rgb frame from the folder.

Before calling this folder please call 'setMatchFile', or an error will be returned otherwise.

Parameters

  stamp | index of accociated frame pair (stamps are not implemented)
  depth |
  rgb24 |

## grab() [6/6]

bool Evaluation::grab | ( | double | stamp,
|  | pcl::gpu::PtrStepSz< const unsigned short > & | depth,
|  | pcl::gpu::PtrStepSz< const RGB > & | rgb24
| ) |  |

Reads depth & rgb frame from the folder.

Before calling this folder please call 'setMatchFile', or an error will be returned otherwise.

Parameters

  stamp | index of accociated frame pair (stamps are not implemented)
  depth |
  rgb24 |

## saveAllPoses() [1/2]

void Evaluation::saveAllPoses | ( | const pcl::gpu::KinfuTracker & | kinfu,
|  | int | frame_number = `-1`,
|  | const std::string & | logfile = `"kinfu_poses.txt"`
| ) |  | const

## saveAllPoses() [2/2]

void Evaluation::saveAllPoses | ( | const pcl::gpu::kinfuLS::KinfuTracker & | kinfu,
|  | int | frame_number = `-1`,
|  | const std::string & | logfile = `"kinfu_poses.txt"`
| ) |  | const

## setMatchFile() [1/2]

void Evaluation::setMatchFile | ( | const std::string & | file | ) |

Sets file with matches between depth and rgb.

## setMatchFile() [2/2]

void Evaluation::setMatchFile | ( | const std::string & | file | ) |

Sets file with matches between depth and rgb.

## Member Data Documentation

## cx

static const float Evaluation::cx

static

Definition at line 78 of file evaluation.h.

## cy

static const float Evaluation::cy

static

Definition at line 78 of file evaluation.h.

## fx

static const float Evaluation::fx

static

Definition at line 78 of file evaluation.h.

## fy

static const float Evaluation::fy

static

Definition at line 78 of file evaluation.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/kinfu/tools/evaluation.h